<!-- Welcome to LiteIDE X -->

LiteIDE X
=========

![liteide-logo](liteidex/liteide-logo/liteide.png)

### Introduction

_LiteIDE is a simple, open source, cross-platform Go IDE._

* Version: X32.1
* Author: [visualfc](mailto:visualfc@gmail.com)

### Features
* Core features
	* System environment management
	* Configurable build commands
	* Simple and open debug system
	* Kate format for auto-completion and theming
	* Configurable auto-completion with WordApi
	* MIME type based system
	* Plugin support
	* Quick Open
* Golang support
	* Package browser
	* Class view and outline
	* Document browser
	* [Gocode](https://github.com/nsf/gocode) support
	* GOPATH API index
	* Code Navigation
	* Find Usages
	* Code Refactor
	* Go playground
* Additional support
	* Markdown
	* Json
	* Golang Present

### Supported Systems
* Windows x86 (32-bit or 64-bit)
* Linux x86 (32-bit or 64-bit)
* MacOS X10.6 or higher (64-bit)
* FreeBSD 9.2 or higher (32-bit or 64-bit)
* OpenBSD 5.6 or higher (64-bit)

### Latest Release Supported Platform Details
* Windows
	* liteidex32.1.windows-qt5.zip (recommend)
		* WindowsXP
		* Windows 7 8 10
	* liteidex32.1.windows-qt4.zip 
		* WindowsXP 
		* Windows 7
* macOS	
	* liteidex32.1.macosx-qt5.zip(recommend)
		* MacOS X 10.8 10.9 
		* macOS 10.10 10.11 10.12
	* liteidex32.1.macosx-qt4.zip
		* MacOS X 10.6 10.7 10.8
* Linux	
	* liteidex32.1.linux-64-qt4-system.tar.bz2
		* Linux (64bit) install qt4 library
	* liteidex32.1.linux-64-qt4.tar.bz2
		* Linux (64bit) not installed qt4 library
	* liteidex32.1.linux-32-qt4-system.tar.bz2
		* Linux (32bit) install qt4 library
	* liteidex32.1.linux-32-qt4.tar.bz2
		* Linux (32bit) not installed qt4 library

### LiteIDE Command Line
	liteide [files|folder] [--select-env id] [--local-setting] [--user-setting] [--reset-setting]
	 
	--select-env [system|win32|cross-linux64|...]     select init environment id
	--local-setting   force use local setting
	--user-setting    force use user setting
	--reset-setting   reset current setting ( clear setting file)

### Documents
* How to Install
<https://github.com/visualfc/liteide/blob/master/liteidex/deploy/welcome/en/install.md>
* FAQ
<https://github.com/visualfc/liteide/blob/master/liteidex/deploy/welcome/en/guide.md>
* 安装 LiteIDE
<https://github.com/visualfc/liteide/blob/master/liteidex/deploy/welcome/zh_CN/install.md>
* FAQ 中文
<https://github.com/visualfc/liteide/blob/master/liteidex/deploy/welcome/zh_CN/guide.md>

### Links
* LiteIDE Home 
<http://liteide.org>
* LiteIDE Source code
<https://github.com/visualfc/liteide>
* Gotools Source code
<https://github.com/visualfc/gotools>
* Release downloads
	* <http://sourceforge.net/projects/liteide/files>
	* <https://github.com/visualfc/liteide/releases/latest>
* Google group
<https://groups.google.com/group/liteide-dev>
* Changes
<https://github.com/visualfc/liteide/blob/master/liteidex/deploy/welcome/en/changes.md>

	
### Donate
* http://visualfc.github.com/support

### New Home Page
* [Home](http://liteide.org)
* [English Document](http://liteide.org/en/documents)
* [中文文档](http://liteide.org/cn/documents)
* More info at [liteide.org](http://liteide.org)